# vault-k8s-secrets

![Version: 1.0.11](https://img.shields.io/badge/Version-1.0.11-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

A Helm chart for setting up the service account for Vault's Kubernetes Secrets Engine

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| oci://registry-1.docker.io/bitnamicharts | common | ~2 |

## Values

<table>
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td id="commonAnnotations"><a href="./values.yaml#L7">commonAnnotations</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>Annotations to add to all deployed objects</td>
		</tr>
		<tr>
			<td id="commonLabels"><a href="./values.yaml#L9">commonLabels</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>Labels to add to all deployed objects</td>
		</tr>
		<tr>
			<td id="fullnameOverride"><a href="./values.yaml#L5">fullnameOverride</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Fully override vault-k8s-secrets.fullname template</td>
		</tr>
		<tr>
			<td id="nameOverride"><a href="./values.yaml#L3">nameOverride</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Partially override vault-k8s-secrets.fullname include (will maintain the release name)</td>
		</tr>
		<tr>
			<td id="rbac"><a href="./values.yaml#L21">rbac</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{"create":true,"rules":[{"apiGroups":[""],"resources":["namespaces"],"verbs":["get"]},{"apiGroups":[""],"resources":["serviceaccounts","serviceaccounts/token"],"verbs":["create","update","delete"]},{"apiGroups":["rbac.authorization.k8s.io"],"resources":["rolebindings","clusterrolebindings"],"verbs":["create","update","delete"]},{"apiGroups":["rbac.authorization.k8s.io"],"resources":["roles","clusterroles"],"verbs":["bind","escalate","create","update","delete"]}]}`
</pre>
</div>
			</td>
			<td>RBAC</td>
		</tr>
		<tr>
			<td id="rbac--create"><a href="./values.yaml#L23">rbac.create</a></td>
			<td>
bool
</td>
			<td>
				<div>
<pre lang="">
`true`
</pre>
</div>
			</td>
			<td>Specifies whether the ClusterRole and ClusterRoleBinding for the ServiceAccount should be created</td>
		</tr>
		<tr>
			<td id="serviceAccount--annotations"><a href="./values.yaml#L18">serviceAccount.annotations</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>Annotations for service account. Evaluated as a template. Only used if `create` is `true`.</td>
		</tr>
		<tr>
			<td id="serviceAccount--create"><a href="./values.yaml#L14">serviceAccount.create</a></td>
			<td>
bool
</td>
			<td>
				<div>
<pre lang="">
`true`
</pre>
</div>
			</td>
			<td>Specifies whether a ServiceAccount should be created</td>
		</tr>
		<tr>
			<td id="serviceAccount--name"><a href="./values.yaml#L16">serviceAccount.name</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Name of the service account to use. If not set and create is true, a name is generated using the fullname template.</td>
		</tr>
	</tbody>
</table>

----------------------------------------------
This README is autogenerated via [helm-docs](https://github.com/norwoodj/helm-docs) in CI. Do not update manually!!